LibreOffice: XStatusbarItem Interface Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | Public Attributes | List of all members
XStatusbarItem Interface Reference

Represents an item in a status bar. More...

`import"XStatusbarItem.idl";`

## Public Member Functions
void | repaint ()
| forces repainting the item onto the status bar device More...

## Public Attributes
string | Command
| the command of the status bar item More...
unsigned short | ItemId
| the unique ID of the control within the status bar More...
unsigned long | Width
| the width of the status bar item More...
unsigned short | Style
| the style of the status bar item More...
long | Offset
| the offset between this status bar item and the following More...
com::sun::star::awt::Rectangle | ItemRect
| the rectangle on the status bar device onto which the item is drawn More...
string | Text
| the text of status bar item More...
string | HelpText
| the help text of the status bar item when extended help tips are on More...
string | QuickHelpText
| the help text of the status bar item when help tips are on More...
string | AccessibleName
| the accessible name of the status bar item More...
boolean | Visible
| whether the item is visible or not More...

## Detailed Description

Represents an item in a status bar.

See also
  com::sun::star::frame::XStatusbarController

Since
  LibreOffice 4.1

## Member Function Documentation

## ◆ repaint()

void repaint | ( |  | ) |

forces repainting the item onto the status bar device

See also
  com::sun::star::frame::XStatusbarController::paint()

## Member Data Documentation

## ◆ AccessibleName

string AccessibleName
| attribute

the accessible name of the status bar item

## ◆ Command

string Command
| attributereadonly

the command of the status bar item

## ◆ HelpText

string HelpText
| attribute

the help text of the status bar item when extended help tips are on

## ◆ ItemId

unsigned short ItemId
| attributereadonly

the unique ID of the control within the status bar

## ◆ ItemRect

com::sun::star::awt::Rectangle ItemRect
| attributereadonly

the rectangle on the status bar device onto which the item is drawn

See also
  com::sun::star::frame::XStatusbarController::paint()

## ◆ Offset

long Offset
| attributereadonly

the offset between this status bar item and the following

## ◆ QuickHelpText

string QuickHelpText
| attribute

the help text of the status bar item when help tips are on

## ◆ Style

unsigned short Style
| attributereadonly

the style of the status bar item

The following values apply for a status bar item:

- Alignment
  - com::sun::star::ui::ItemStyle::ALIGN_LEFT
  - com::sun::star::ui::ItemStyle::ALIGN_CENTER
  - com::sun::star::ui::ItemStyle::ALIGN_RIGHT
- Drawing
  - com::sun::star::ui::ItemStyle::DRAW_OUT3D
  - com::sun::star::ui::ItemStyle::DRAW_IN3D
  - com::sun::star::ui::ItemStyle::DRAW_FLAT
- com::sun::star::ui::ItemStyle::AUTO_SIZE
- com::sun::star::ui::ItemStyle::OWNER_DRAW

See also
  com::sun::star::ui::ItemStyle

## ◆ Text

string Text
| attribute

the text of status bar item

## ◆ Visible

boolean Visible
| attribute

whether the item is visible or not

## ◆ Width

unsigned long Width
| attributereadonly

the width of the status bar item

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XStatusbarItem.idl